#!/bin/bash


# get directory of the script
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# and cd to it, replacing spaces with escaped spaces. use eval cause if not it won't work
eval cd ${DIR// /\\ }

# just build. does nothing sometimes for some unknown reason
/Applications/Isabelle2017.app/Isabelle/bin/isabelle build -D .
# use the line below for clean and build
# /Applications/Isabelle2017.app/Isabelle/bin/isabelle build -c -D .

# /Applications/Isabelle2017.app/Isabelle/bin/isabelle document

read -p "Press return to end the script"
